org.apache.synapse.transport.passthru.util

## Class RelayUtils

- java.lang.Object
- - org.apache.synapse.transport.passthru.util.RelayUtils

-     public class RelayUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelayUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `buildMessage(org.apache.axis2.context.MessageContext msgCtx)`
    `static void` | `buildMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild)`
    `static void` | `builldMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild, InputStream in)`
    `static void` | `consumeAndDiscardMessage(org.apache.axis2.context.MessageContext msgContext)` Consumes the data in pipe completely in the given message context and discard it
    `static boolean` | `isDeleteRequestWithoutPayload(org.apache.axis2.context.MessageContext msgContext)` Function to check whether the processing request (enclosed within MessageContext) is a DELETE request without entity body since we allow to have payload for DELETE requests, we treat same as POST.
    `static boolean` | `isEmptyPayloadStream(InputStream inputStream)` Function to check given inputstream is empty or not Used to check whether content of the payload input stream is empty or not

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelayUtils

          public RelayUtils()

  - ### Method Detail

    - #### buildMessage

          public static void buildMessage(org.apache.axis2.context.MessageContext msgCtx)
                                   throws IOException,
                                          XMLStreamException

      Throws:
        `IOException`
        `XMLStreamException`

    - #### buildMessage

          public static void buildMessage(org.apache.axis2.context.MessageContext messageContext,
                                          boolean earlyBuild)
                                   throws IOException,
                                          XMLStreamException

      Throws:
        `IOException`
        `XMLStreamException`

    - #### builldMessage

          public static void builldMessage(org.apache.axis2.context.MessageContext messageContext,
                                           boolean earlyBuild,
                                           InputStream in)
                                    throws IOException,
                                           org.apache.axis2.AxisFault

      Throws:
        `IOException`
        `org.apache.axis2.AxisFault`

    - #### isDeleteRequestWithoutPayload

          public static boolean isDeleteRequestWithoutPayload(org.apache.axis2.context.MessageContext msgContext)

      Function to check whether the processing request (enclosed within MessageContext) is a DELETE request without entity body since we allow to have payload for DELETE requests, we treat same as POST. Hence this function can be used to deviate DELETE requests without payloads
      Parameters:
        `msgContext` - MessageContext
      Returns:
        whether the request is a DELETE without payload

    - #### isEmptyPayloadStream

          public static boolean isEmptyPayloadStream(InputStream inputStream)
                                              throws IOException

      Function to check given inputstream is empty or not Used to check whether content of the payload input stream is empty or not
      Parameters:
        `inputStream` - target inputstream
      Returns:
        true if it is a empty stream
      Throws:
        `IOException`

    - #### consumeAndDiscardMessage

          public static void consumeAndDiscardMessage(org.apache.axis2.context.MessageContext msgContext)
                                               throws org.apache.axis2.AxisFault

      Consumes the data in pipe completely in the given message context and discard it
      Parameters:
        `msgContext` - Axis2 Message context which contains the data
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.